package com.srs.stureg.service;

import java.util.List;
import com.srs.stureg.domain.PayMoney;

/**
 * 网上缴费情况Service接口
 * 
 * @author 邓
 * @date 2023-05-20
 */
public interface IPayMoneyService 
{
    /**
     * 查询网上缴费情况
     * 
     * @param id 网上缴费情况主键
     * @return 网上缴费情况
     */
    public PayMoney selectPayMoneyById(Long id);

    /**
     * 查询网上缴费情况列表
     * 
     * @param payMoney 网上缴费情况
     * @return 网上缴费情况集合
     */
    public List<PayMoney> selectPayMoneyList(PayMoney payMoney);

    /**
     * 新增网上缴费情况
     * 
     * @param payMoney 网上缴费情况
     * @return 结果
     */
    public int insertPayMoney(PayMoney payMoney);

    /**
     * 修改网上缴费情况
     * 
     * @param payMoney 网上缴费情况
     * @return 结果
     */
    public int updatePayMoney(PayMoney payMoney);

    /**
     * 批量删除网上缴费情况
     * 
     * @param ids 需要删除的网上缴费情况主键集合
     * @return 结果
     */
    public int deletePayMoneyByIds(Long[] ids);

    /**
     * 删除网上缴费情况信息
     * 
     * @param id 网上缴费情况主键
     * @return 结果
     */
    public int deletePayMoneyById(Long id);
}
